aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-01-14 10:58:10 +0000
committerNatanael <ncopa@alpinelinux.org>2016-01-14 13:59:09 +0000
commit13bf149a13496635ddb31eac63107dc86085b7f6 (patch)
tree27ba42af528dd582b284971a0d251c1690596c18
parent5d47601458052a7869624876704ad2ca875b7c01 (diff)
downloadaports-13bf149a13496635ddb31eac63107dc86085b7f6.tar.gz
aports-13bf149a13496635ddb31eac63107dc86085b7f6.tar.bz2
aports-13bf149a13496635ddb31eac63107dc86085b7f6.tar.xz
community/java-cacerts: backport from edge
-rw-r--r--community/java-cacerts/APKBUILD43
-rw-r--r--community/java-cacerts/java-cacerts.post-deinstall2
2 files changed, 45 insertions, 0 deletions
diff --git a/community/java-cacerts/APKBUILD b/community/java-cacerts/APKBUILD
new file mode 100644
index 0000000000..eee10281ca
--- /dev/null
+++ b/community/java-cacerts/APKBUILD
@@ -0,0 +1,43 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=java-cacerts
+pkgver=1.0
+pkgrel=0
+pkgdesc="Script to update java cacerts store"
+url="http://git.alpinelinux.org/cgit/aports/community/java-cacerts"
+arch="noarch"
+license="MIT"
+depends="p11-kit p11-kit-trust ca-certificates"
+depends_dev=""
+makedepends="$depends_dev"
+install="$pkgname.post-deinstall"
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ return 0
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/etc/ca-certificates/update.d \
+ "$pkgdir"/etc/ssl/certs/java || return 1
+ cat > "$pkgdir"/etc/ca-certificates/update.d/java-cacerts <<EOF
+#!/bin/sh
+exec trust extract --overwrite --format=java-cacerts --filter=ca-anchors \
+ --purpose server-auth /etc/ssl/certs/java/cacerts
+EOF
+ chmod +x "$pkgdir"/etc/ca-certificates/update.d/java-cacerts
+}
+
+
diff --git a/community/java-cacerts/java-cacerts.post-deinstall b/community/java-cacerts/java-cacerts.post-deinstall
new file mode 100644
index 0000000000..de859d92a6
--- /dev/null
+++ b/community/java-cacerts/java-cacerts.post-deinstall
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec rm -f /etc/ssl/certs/java/cacerts